Subject: Re: [PATCH] Start arch/powerpc/boot code reorganization

From: Sergei Shtylyov <[email-masked]>
Date: Fri, 22 Sep 2006 23:36:11 +0400

Hello.

Mark A. Greer wrote:

> Here is where I think we are for getting the effective base addr
> of the regs for the console uart in the bootwrapper:

> 1) We add the "fw,address" property to the uart's dt node.  That
> property provides the effective base address of the uart's registers
> left over by the firmware.  The format is similar to that of the
> "reg" property in that it contains an "address size" tuple.

> 2) The effective address width (32 or 64 bits) (i.e., the # cells in
> the "address" portion of the tuple) is indicated by the presence of the
> "/cpus/64-bit" property.  If it exists, the effective addr space is
> 64-bits wide (2 cells); if not, its 32-bits wide (1 cell).
> 
> 3) The number of cells in the "size" portion of the tuple is indicated
> by the nearest #size-cells as you go up the tree.  Just like the "reg"
> property.

    Well, is there need for duplication of size if "reg" prop must be present 
anyway?

WBR, Sergei